!!======================================================================

  SUBROUTINE ts_obc3d_apply_agrif

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE ts_obc3d_apply_agrif  ***
!&E
!&E ** Purpose : apply open boundary conditions for temperature
!&E              and salinity field for AGRIF
!&E
!&E ** Description : apply external value when water mass enters the domain
!&E
!&E ** Called by : stepu, stepv
!&E
!&E ** External calls :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !                       Original code
!&E       !  2007-05 (V. Garnier) Mise en forme - introduction de obc_* variables
!&E
!&E---------------------------------------------------------------------





























































!! * Modules used


   !PRINT*, 'exit TS_OBC3D_APPLY_AGRIF routine'

  END SUBROUTINE ts_obc3d_apply_agrif

!!======================================================================

  SUBROUTINE ts_obc2d_apply_agrif

!&E---------------------------------------------------------------------
!&E                 ***  ROUTINE ts_obc2d_apply_agrif  ***
!&E
!&E ** Purpose : apply2d open boundary conditions for temperature
!&E              and salinity field for AGRIF
!&E
!&E ** Description : apply2d external value when water mass enters the domain
!&E
!&E ** Called by : stepu, stepv
!&E
!&E ** External calls :
!&E
!&E ** Reference :
!&E
!&E ** History :
!&E       !                        Original code
!&E       !  2007-05  (V. Garnier) Mise en forme - introduction de obc_* variables
!&E
!&E---------------------------------------------------------------------
!! * Modules used


   !PRINT*, 'exit TS_OBC2D_APPLY_AGRIF routine'

   END SUBROUTINE ts_obc2d_apply_agrif

!!======================================================================


